You signed in with another tab or window. Reload to refresh your session.You signed out in another tab or window. Reload to refresh your session.You switched accounts on another tab or window. Reload to refresh your session.Dismiss alert
{{ message }}
Repository navigation
docs: ten :rfc: citations name sub-section anchors RFC 1122 and RFC 719 do not render #950
Ten :rfc: citations name sub-section anchors that their RFCs do not render — the same defect class as #944, in two other documents. Each renders a live link to nothing.
RFC 1122 renders anchors for its five top-level sections only:
and pcapkit/vendor/ipv4/ts_flag.py:23 cites :rfc:719#section-3.1``.
Expected behavior
The enclosing top-level section, matching the ruling on #944 and #947: #section-3 for RFC 1122, and for RFC 719 either no fragment at all or a #page-N — but RFC 719 renders no anchors whatsoever, so no fragment is the only honest option there.
1122#section-3.3.2 is Reassembly, which is what all nine sites are about, so #section-3 ("INTERNET LAYER PROTOCOLS") keeps the citation pointing at prose that supports them while losing the sub-section precision. Worth confirming that trade is acceptable before the sweep, as it was for #944.
Once fixed, both belong in KNOWN_DEAD_ANCHORS in tests/project/test_rfc_anchor_fragments.py so they cannot return. RFC 719 needs a different denylist shape from 959 and 1122 — for 719 every fragment is dead, not an enumerable set, so listing individual ones understates it.
Older RFCs are the pattern here. RFC 959 (1985), 1122 (1989) and 719 (1976) all predate per-subsection anchors; RFC 8684-era documents render them. A sweep of every pre-1990 RFC cited with a sub-numbered fragment would likely find more, and is the right scope for this issue rather than fixing these ten in isolation.
Describe the bug
Ten
:rfc:citations name sub-section anchors that their RFCs do not render — the same defect class as #944, in two other documents. Each renders a live link to nothing.RFC 1122 renders anchors for its five top-level sections only:
Yet
:rfc:1122#section-3.3.2`` is cited at nine sites:RFC 719 is worse — its rendered page carries no
id=attributes at all, so every fragment on it is dead:and
pcapkit/vendor/ipv4/ts_flag.py:23cites:rfc:719#section-3.1``.Expected behavior
The enclosing top-level section, matching the ruling on #944 and #947:
#section-3for RFC 1122, and for RFC 719 either no fragment at all or a#page-N— but RFC 719 renders no anchors whatsoever, so no fragment is the only honest option there.1122#section-3.3.2is Reassembly, which is what all nine sites are about, so#section-3("INTERNET LAYER PROTOCOLS") keeps the citation pointing at prose that supports them while losing the sub-section precision. Worth confirming that trade is acceptable before the sweep, as it was for #944.Notes
959sub-section anchor (#944) #946 while checking whether that PR'sKNOWN_DEAD_ANCHORSdenylist was complete — it asked the right question: which other RFCs cited here also lack sub-anchors. Out of scope for docs(const,vendor): six :rfc:959#section-4.1citations name an anchor RFC 959 does not have #944, which named only RFC 959.KNOWN_DEAD_ANCHORSintests/project/test_rfc_anchor_fragments.pyso they cannot return. RFC 719 needs a different denylist shape from 959 and 1122 — for 719 every fragment is dead, not an enumerable set, so listing individual ones understates it.959sub-section anchor (#944) #946, which is actively editingtests/project/test_rfc_anchor_fragments.py.System information
pcapkitcommit210bdb419, Python 3.14.7, CPython, Linux.